Package Details: codeberg-cli 0.1.0-1

Git Clone URL: https://aur.archlinux.org/codeberg-cli.git (read-only, click to copy)
Package Base: codeberg-cli
Description: CLI tool for Codeberg
Upstream URL: https://codeberg.org/RobWalt/codeberg-cli
Licenses: AGPL3
Submitter: grawlinson
Maintainer: grawlinson
Last Packager: grawlinson
Votes: 1
Popularity: 0.000484
First Submitted: 2023-02-03 09:41 (UTC)
Last Updated: 2023-02-03 09:41 (UTC)

Required by (0)

Sources (2)

Latest Comments

markstos commented on 2023-11-08 18:43 (UTC)

Fails to build for me:

'/home/mark/.cache/paru/clone/codeberg-cli/src/Cargo.lock' -> './Cargo.lock'
    Updating git repository `https://github.com/RobWalt/dialoguer`
error: failed to get `dialoguer` as a dependency of package `cod-actions v0.1.0 (/home/mark/.cache/paru/clone/codeberg-cli/src/codeberg-cli/crates/cod-actions)`

Caused by:
  failed to load source for dependency `dialoguer`

Caused by:
  Unable to update https://github.com/RobWalt/dialoguer?branch=feat/multi-fuzz-selection#79b4afbc

Caused by:
  failed to clone into: /home/mark/.cargo/git/db/dialoguer-493cafeb8a2e352b

Caused by:
  failed to authenticate when downloading repository

  * attempted to find username/password via git's `credential.helper` support, but failed

  if the git CLI succeeds then `net.git-fetch-with-cli` may help here
  https://doc.rust-lang.org/cargo/reference/config.html#netgit-fetch-with-cli

Caused by:
  failed to acquire username/password from local configuration
==> ERROR: A failure occurred in prepare().
    Aborting...
error: failed to build 'codeberg-cli-0.1.0-1': 
error: packages failed to build: codeberg-cli-0.1.0-1